# Uses of Interface
org.eclipse.emf.cdo.server.IQueryHandler

Packages that use IQueryHandler
Package
Description
org.eclipse.emf.cdo.server
Server concepts for dealing with repositories and stores.
org.eclipse.emf.cdo.server.ocl
Server implementation of a generic OCL query handler.
org.eclipse.emf.cdo.spi.server
Server service provider interfaces and useful base implementations.

## Uses of IQueryHandler in org.eclipse.emf.cdo.server

Subinterfaces of IQueryHandler in org.eclipse.emf.cdo.server
Modifier and Type
Interface
Description
`static interface`
`IQueryHandler.PotentiallySlow`
Methods in org.eclipse.emf.cdo.server that return IQueryHandler
Modifier and Type
Method
Description
`IQueryHandler`
IQueryHandlerProvider.`getQueryHandler(CDOQueryInfo info)`

## Uses of IQueryHandler in org.eclipse.emf.cdo.server.ocl

Classes in org.eclipse.emf.cdo.server.ocl that implement IQueryHandler
Modifier and Type
Class
Description
`class`
`OCLQueryHandler`
A `query handler` that evaluates OCL query expressions.

## Uses of IQueryHandler in org.eclipse.emf.cdo.spi.server

Methods in org.eclipse.emf.cdo.spi.server that return IQueryHandler
Modifier and Type
Method
Description
`abstract IQueryHandler`
QueryHandlerFactory.`create(String description)`
`IQueryHandler`
ContainerQueryHandlerProvider.`getQueryHandler(CDOQueryInfo info)`
If the meaning of this type isn't clear, there really should be more of a description here...
`IQueryHandler`
FactoriesQueryHandlerProvider.`getQueryHandler(CDOQueryInfo info)`
`IQueryHandler`
InternalQueryResult.`getQueryHandler()`